Mexico company
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-mx-companies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company": "2026-0000001606"
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-mx-companies"
payload = { "company": "2026-0000001606" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({company: '2026-0000001606'})
};
fetch('https://api.neuralverge.ai/functions/v1/run-mx-companies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "mx_company",
"company": "2026-0000001606",
"company_id": "2026-0000001606",
"human": "# Mexico — PSM (Registro Público de Comercio publications) — company\n\n- **Number:** 2026-0000001606\n- **Pages opened:** 1\n- **Proxy traffic:** 12.6 KB\n- **Name:** Cemex, S.A.B. de C.V.\n- **Type:** S.A.B. de C.V.",
"machine": {
"company": {
"registration_number": "2026-0000001606",
"name": "Cemex, S.A.B. de C.V.",
"status": null,
"address": null,
"url": null,
"company_type": "S.A.B. de C.V.",
"incorporation_date": null,
"publication_type": "Convocatoria para Asambleas Generales",
"publication_title": "Convocatoria a la Asamblea General Ordinaria de Accionistas",
"publication_number": "2026-0000001606",
"publication_date": "2026-02-06",
"document_url": "https://psm.economia.gob.mx/PSM/ServletMain?id_pub=381751",
"history": [
{
"name": "Cemex, S.A.B. de C.V.",
"publication_type": "Convocatoria para Asambleas Generales",
"publication_title": "Convocatoria a la Asamblea General Ordinaria de Accionistas",
"publication_number": "2026-0000001606",
"date": "2026-02-06"
}
]
},
"blocked": false,
"pages_opened": 1,
"proxy_traffic_bytes": 12865
},
"total_points": 5
}Company Registries
Mexico company
Get one company notice from the Mexican Registro Público de Comercio publications (PSM) by publication number: company name, legal form, publication type, title and date, a link to the published text and the publication history. 5 point per returned record.
POST
/
functions
/
v1
/
run-mx-companies
Mexico company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Publication number. e.g. 2026-0000001606
Response
Run completed.